Page MenuHomePhabricator

Separate citoid service for beta that runs off master instead of deploy
Closed, DeclinedPublic0 Estimated Story Points

Description

Currently the service being used in beta is the production server citoid.wikimedia.org; this should be switched to a master deploy on wmflabs, perhaps citoid.wmflabs.org.

Event Timeline

Mvolz created this task.Mar 10 2015, 7:06 PM
Mvolz raised the priority of this task from to High.
Mvolz updated the task description. (Show Details)
Mvolz added projects: Citoid, Services, acl*sre-team.
Mvolz moved this task to Production on the Citoid board.
Mvolz added a subscriber: Mvolz.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2015, 7:06 PM
GWicke moved this task from Backlog to In-progress on the Services board.Mar 17 2015, 7:53 PM
GWicke moved this task from In-progress to Next on the Services board.

Er, which service is that? Citoid?

@Mvolz, I see deployment-zotero01 in deployment-prep, which has the puppet 'citoid' role applied. Is that what you were looking for?

ArielGlenn renamed this task from Separate service for beta that runs off master instead of deploy to Separate citoid service for beta that runs off master instead of deploy.May 13 2015, 7:49 PM
ArielGlenn set Security to None.
mobrovac closed this task as Invalid.May 14 2015, 10:40 AM
mobrovac claimed this task.
mobrovac added a subscriber: mobrovac.

citoid.wmflabs.org runs off of master, while citoid-beta.wmflabs.org (from deployment-prep) runs off of deploy, so closing this task as invalid.

If @Mvolz meant that Citoid in deployment-prep should run off of master, I agree with that, but that is a larger problem related to services in deployment-prep. We hope to address that once we have a real staging cluster in place - staging would then run deploy, while deployment-prep could run master.

Mvolz added a subscriber: Jdforrester-WMF.EditedMay 14 2015, 1:49 PM

What I was hoping for is a way to catch bugs on http://en.wikipedia.beta.wmflabs.org/ for versions of citoid that are further ahead, not what's currently deployed.

This doesn't necessarily have to be master but it should be before the current deploy.

@Jdforrester-WMF, should we change beta to run off citoid.wmflabs.org instead of citoid.wikimedia.org so it's running off of master instead of deploy?

Mvolz reopened this task as Open.May 14 2015, 1:50 PM
Mvolz removed mobrovac as the assignee of this task.
Mvolz lowered the priority of this task from High to Medium.
Mvolz updated the task description. (Show Details)
Mvolz updated the task description. (Show Details)

@Jdforrester-WMF, should we change beta to run off citoid.wmflabs.org instead of citoid.wikimedia.org so it's running off of master instead of deploy?

IMHO, that'd be the right move given the current constraints.

However, note that we have discussed this with RelEng at the Lyon Hackathon and there is consensus to move towards services being run off of master in Beta (cf. T100099: Meeting: Automatic deployment of backend services on beta cluster)

Restricted Application added a project: VisualEditor. · View Herald TranscriptOct 12 2016, 3:38 PM
Mvolz added a comment.Nov 3 2016, 9:25 AM

So apparently we have this now? https://wikitech.wikimedia.org/wiki/Nova_Resource:Citoid.services.eqiad.wmflabs

But, it's currently failing to provision:

I've gotten email notifications to that effect two days in a row: "Puppet is failing to run on the "citoid" instance in the Wikimedia Labs
project "services""

Nope, @Mvolz that's not it. I will likely delete that instance as it's not really used.

Mvolz added a comment.Nov 7 2016, 6:28 PM

Nope, @Mvolz that's not it. I will likely delete that instance as it's not really used.

I've deleted it as wmflabs admins were getting annoyed as well :D.

Mvolz added a comment.Nov 7 2016, 6:28 PM
This comment was removed by Mvolz.
Jdforrester-WMF set the point value for this task to 0.Feb 9 2017, 6:20 PM

@mobrovac @Mvolz, what is the status of this task?

mobrovac closed this task as Declined.Jul 20 2017, 2:32 PM

The source repo is never ahead of the deploy repo for more than a couple of days, so this is not worth the effort, IMHO. Declining.